Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes
tesseract::FeatureBase Class Reference

`#include <feature_base.h>`

Inheritance diagram for tesseract::FeatureBase:

List of all members.

## Public Member Functions

| FeatureBase (TuningParams *params)
virtual | ~FeatureBase ()
virtual bool | ComputeFeatures (CharSamp *char_samp, float *features)=0
virtual CharSamp * | ComputeFeatureBitmap (CharSamp *char_samp)=0
virtual int | FeatureCnt ()=0

## Protected Attributes

TuningParams * | params_

## Detailed Description

Definition at line 34 of file feature_base.h.

## Constructor & Destructor Documentation

tesseract::FeatureBase::FeatureBase | ( | TuningParams * | params | ) |

inlineexplicit

Definition at line 36 of file feature_base.h.

: params_(params) {
}

virtual tesseract::FeatureBase::~FeatureBase | ( |  | ) |

inlinevirtual

Definition at line 39 of file feature_base.h.

{}

## Member Function Documentation

virtual CharSamp* tesseract::FeatureBase::ComputeFeatureBitmap | ( | CharSamp * | char_samp | ) |

pure virtual

Implemented in tesseract::FeatureBmp, tesseract::FeatureChebyshev, and tesseract::FeatureHybrid.

virtual bool tesseract::FeatureBase::ComputeFeatures | ( | CharSamp * | char_samp,
|  | float * | features
| ) |  |

pure virtual

Implemented in tesseract::FeatureBmp, tesseract::FeatureChebyshev, and tesseract::FeatureHybrid.

virtual int tesseract::FeatureBase::FeatureCnt | ( |  | ) |

pure virtual

Implemented in tesseract::FeatureBmp, tesseract::FeatureChebyshev, and tesseract::FeatureHybrid.

## Member Data Documentation

TuningParams* tesseract::FeatureBase::params_

protected

Definition at line 50 of file feature_base.h.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/cube/feature_base.h